
.. _namedtype.OptionalNamedType:

.. |NamedType| replace:: OptionalNamedType

OptionalNamedType
-----------------

.. autoclass:: pyasn1.type.namedtype.OptionalNamedType
   :members:

   .. note::

        The *OptionalNamedType* class models an optional field of
        a constructed ASN.1 type.

        The *OptionalNamedType* objects are normally utilized by
        the :ref:`NamedTypes <namedtype.NamedTypes>` objects
        to model individual fields of the constructed ASN.1
        types.
